.kc-maintenance-notification-banner {
    display: flex;
    flex-direction: row;
    font-size: 0.875rem;
    border-radius: 0px;
    color: var(--color-text-default);
    background-color: var(--color-white);
    margin: 0;
    padding: 0.75rem 1rem;
    gap: 1rem;
    border-top: 0.125rem solid var(--color-text-default);
    line-height: 1rem;
}

.kc-maintenance-notification-banner.kc-maintenance-notification-warning {
    border-top: 0.125rem solid var(--color-border-warning);
    background: var(--color-bg-warning);
}

.kc-maintenance-notification-banner.kc-maintenance-notification-warning .kc-maintenance-notification-icon {
    color: var(--color-icon-warning);
}


.kc-maintenance-notification-banner.kc-maintenance-notification-error {
    border-top: 0.125rem solid var(--color-border-danger);
    background: var(--color-bg-danger);
}

.kc-maintenance-notification-banner.kc-maintenance-notification-error .kc-maintenance-notification-icon {
    color: var(--color-border-danger);
}

.kc-maintenance-notification-banner.kc-maintenance-notification-info {
    border-top: 0.125rem solid var(--color-border-info);
    background: var(--color-bg-info);
}

.kc-maintenance-notification-banner.kc-maintenance-notification-info .kc-maintenance-notification-icon {
    color: var(--color-border-info);
}

.kc-maintenance-notification-banner.kc-maintenance-notification-success {
    border-top: 0.125rem solid var(--color-border-success);
    background: var(--color-bg-success);
}

.kc-maintenance-notification-banner.kc-maintenance-notification-success .kc-maintenance-notification-icon {
    color: var(--color-border-success);
}

.kc-maintenance-notification-banner .kc-maintenance-notification-message {
    display: block;
    align-items: center;
    padding: 0;
    font-weight: 400;
    line-height: 1.25rem;
    padding: 0.125rem 0;
}

.kc-maintenance-notification-banner .kc-maintenance-notification-message .editor-paragraph:not(:first-child) {
    margin: 12px 0;
}

.kc-maintenance-notification-banner .kc-maintenance-notification-message .editor-paragraph:first-child {
    margin-top: 0!important;
}

.kc-maintenance-notification-banner .kc-maintenance-notification-content {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 1rem;
}

.kc-maintenance-notification-banner .kc-maintenance-notification-content .kc-maintenance-notification-title {
    font-weight: 600;
    line-height: 1.5rem;
    min-height: 1.5rem;
}

.kc-maintenance-notification-banner .kc-maintenance-notification-content .kc-maintenance-notification-icon {
    display: flex;
    align-items: center;
    flex-shrink: 0;
}